Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 02-10-03, 02:18 AM   #1
Chaos
Registered User
 
Join Date: Feb 2003
Posts: 2
Question SuSE8.1 with upgraded kernel 2.4.19-174

Hi there,

my problem is the following - I anyone knows a solution....let me know.
I am working with SuSE Linux 8.1 - Kernel 2.4.19-4GB - want to get my old TNT2 Card working (again). Everything was fine with the kernel-version
that came with the distribution SuSE8.1 (k_deflt-2.4.19-74.i586.rpm).
I installed the precompiled NVidia-4191 Packages for SuSE8.1 - everything was working right .

Because of some bugs in the kernel-modules of the original kernel-package, which caused system failures (freezes),
I patched the kernel package with k_deflt-2.4.19-174.i586.patch.rpm from SuSE ftp-server.
Now the system is not freezing anymore but I NVidia-kernel is not working any longer ( NVIDIA_kernel-1.0-4191.suse81.i586.rpm seems to be out of date now).

Two ways left:

1.)

I tried to compile the nvidia stuff with the tar.gz files for kernel and glx - 4191.
---- Yes - I also upgraded the sources of the kernel with kernel-source-2.4.19.SuSE-115.i586.patch.rpm - should be right....
I followed all the Instructions given in the installation-manual - I also erased all old versions of NVidia rpm-Packages....

Compilation gives some errors.....see compete log file...

/lib/modules/2.4.19-4GB/build/include/linux/highmem.h: In function `bh_kmap':
/lib/modules/2.4.19-4GB/build/include/linux/highmem.h:22: warning: pointer of type `void *' used in arithmetic

modprobe nvidia --- says:

Warning: loading /lib/modules/2.4.19-4GB/kernel/drivers/video/nvidia.o will taint the kernel: non-GPL license - NVIDIA
See http://www.tux.org/lkml/#export-tainted for information about tainted modules
Module nvidia loaded, with warnings
nvidia.o installed successfully.

---X does not start..screen only turns black and keeps black for more than 20 minutes.....system hangs up
---My XF86Config is o.k. - I am sure about that point ! - Remember it was working before !
---CTRL-ALT-DEL (or -Backspace) does not bring anything....


2.)
This goes to NVidia - would you please be so kind and build a NEW Package for the UPGRADED kernel of SuSE81 Distribution ??? - nobody is working with the old (bug)-kernel !!!!
Attached Files
File Type: txt nvidia_log.txt (5.7 KB, 171 views)
Chaos is offline   Reply With Quote
Old 02-20-03, 02:25 PM   #2
titan3025
Registered User
 
Join Date: Aug 2002
Posts: 14
Default

Same problem here. If someone has got a solution, please mail it to me (titan3025@gmx.net)
titan3025 is offline   Reply With Quote
Old 02-21-03, 06:01 AM   #3
Chaos
Registered User
 
Join Date: Feb 2003
Posts: 2
Default Solution found !!!

I finally found the solution....you dont need to compile if you took the 2.4.19er Sources for compiling.....agpgart is not longer working with SuSE-Kernel-2.4.19-178...
Just Install both SuSE 4191 Packages...kernel-4191 od glx-4191 for SuSE8.1

change to the following:

in section "Device" of file /etc/X11/XF86Config

Section "Device"
BoardName "RIVA TNT2" -- nevermind
Driver "nvidia" --important
Identifier "Device[0]"
#Option "NvAGP" "1" # use nvidia agp
#Option "NvAGP" "0" # disable agp
#Option "NvAGP" "3" # try 2 than 1
#Option "NvAGP" "2" # use agpgart
Screen 0
VideoRam 32768
Option "NvAGP" "1" ---------------this line is important !!!
# Option "DigitalVibrance" "2"
# Option "CursorShadow" "1"
# Option "RenderAccel" "true"
VendorName "NVidia"
EndSection

and in file etc/modules.conf add somewhere

alias char-major-195 nvidia
options nvidia NVreg_ReqAGPRate=2 # force AGP Rate to 2x

or
options nvidia NVreg_ReqAGPRate=4 # force AGP Rate to 4x

Now it should work.....

Chaos
Chaos is offline   Reply With Quote
Old 02-21-03, 03:13 PM   #4
titan3025
Registered User
 
Join Date: Aug 2002
Posts: 14
Default

doesn't work for me :-(
titan3025 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Random crashes, NVRM Xid messages Iesos NVIDIA Linux 90 10-04-12 03:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 08:22 PM

All times are GMT -5. The time now is 11:43 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.